polybori::WeakRingPtr Class Reference

This class defines WeakRingPtr. More...

`#include <WeakRingPtr.h>`

## Public Types

typedef BoolePolyRing | value_type

## Public Member Functions

| WeakRingPtr (const value_type &data)
| Default constructor. More...
| WeakRingPtr (const self &rhs)
| Copy constructor. More...
| ~WeakRingPtr ()
| Destructor. More...
value_type | operator* () const
| Dereferencing. More...
| operator bool () const
| Validity check. More...

## Detailed Description

This class defines WeakRingPtr.

This is just a wrapper for `CWeakPtr<BoolePolyRing::core_type>`. For aceesing such internals it is good `friend` with `BoolePolyRing`.

## Member Typedef Documentation

typedef BoolePolyRing polybori::WeakRingPtr::value_type

## Constructor & Destructor Documentation

polybori::WeakRingPtr::WeakRingPtr | ( | const value_type & | data) |  |

inline

Default constructor.

polybori::WeakRingPtr::WeakRingPtr | ( | const self & | rhs) |  |

inline

Copy constructor.

polybori::WeakRingPtr::~WeakRingPtr | ( | ) |  |

inline

Destructor.

## Member Function Documentation

polybori::WeakRingPtr::operator bool | ( | ) |  | const

inline

Validity check.

value_type polybori::WeakRingPtr::operator* | ( | ) |  | const

inline

Dereferencing.

The documentation for this class was generated from the following file:

- WeakRingPtr.h